%global modulename braces

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-braces
Version:        2.3.2
Release:        1%{?dist}
Summary:        Bash-like brace expansion, implemented in JavaScript. Safer than other brace expansion libs, with complete support for the Bash 4.3 braces specification, without sacrificing speed.

License:        MIT
URL:            https://github.com/micromatch/braces
Source0:        https://registry.npmjs.org/braces/-/braces-2.3.2.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(arr-flatten) >= 1.1.0 with npmlib(arr-flatten) < 2.0.0))
BuildRequires:  ((npmlib(array-unique) >= 0.3.2 with npmlib(array-unique) < 0.4.0))
BuildRequires:  ((npmlib(extend-shallow) >= 2.0.1 with npmlib(extend-shallow) < 3.0.0))
BuildRequires:  ((npmlib(fill-range) >= 4.0.0 with npmlib(fill-range) < 5.0.0))
BuildRequires:  ((npmlib(isobject) >= 3.0.1 with npmlib(isobject) < 4.0.0))
BuildRequires:  ((npmlib(repeat-element) >= 1.1.2 with npmlib(repeat-element) < 2.0.0))
BuildRequires:  ((npmlib(snapdragon) >= 0.8.1 with npmlib(snapdragon) < 0.9.0))
BuildRequires:  ((npmlib(snapdragon-node) >= 2.0.1 with npmlib(snapdragon-node) < 3.0.0))
BuildRequires:  ((npmlib(split-string) >= 3.0.2 with npmlib(split-string) < 4.0.0))
BuildRequires:  ((npmlib(to-regex) >= 3.0.1 with npmlib(to-regex) < 4.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Bash-like brace expansion, implemented in JavaScript. Safer than other brace expansion libs, with complete support for the Bash 4.3 braces specification, without sacrificing speed.

%package 2.3.2
Summary:        Bash-like brace expansion, implemented in JavaScript. Safer than other brace expansion libs, with complete support for the Bash 4.3 braces specification, without sacrificing speed.


%description 2.3.2
Bash-like brace expansion, implemented in JavaScript. Safer than other brace expansion libs, with complete support for the Bash 4.3 braces specification, without sacrificing speed.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 2.3.2
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Nov 28 2018 npm2srpm <dshea@redhat.com> - 2.3.2-1
- Package automatically generated by npm2srpm
